# Copyright 2023 Le Filament (https://le-filament.com)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html)

from odoo import fields, models


class Hall(models.Model):
    _inherit = "hall.hall"

    # ------------------------------------------------------
    # Fields declaration
    # ------------------------------------------------------
    discount_user_ids = fields.Many2many(
        comodel_name="res.users",
        relation="hall_hall_res_users_discount_rel",
        column1="hall_id",
        column2="user_id",
        string="Utilisateurs à notifier pour les loyers vertueux",
        domain="[('share', '=', False)]",
    )

    # ------------------------------------------------------
    # SQL Constraints
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Compute functions
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Action functions
    # ------------------------------------------------------
