# Copyright 2023 Le Filament (https://le-filament.com)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html)

from odoo import models


class HallContract(models.Model):
    _inherit = "hall.contract"

    # ------------------------------------------------------
    # Fields declaration
    # ------------------------------------------------------

    # ------------------------------------------------------
    # SQL Constraints
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Compute functions
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Inherit parent
    # ------------------------------------------------------
    def _create_discount(self, year, month):
        discount = super(HallContract, self)._create_discount(year, month)
        partner_ids = self.hall_id.discount_user_ids.mapped("partner_id")
        discount.message_subscribe(partner_ids=partner_ids.ids)
        return discount
