{
    "name": "Festa - Portal",
    "summary": "Portail commerçants",
    "author": "Le Filament",
    "website": "https://le-filament.com",
    "version": "16.0.1.0.0",
    "development_status": "Beta",
    "license": "AGPL-3",
    "depends": ["festa_account", "portal", "web"],
    "data": [
        # security
        "security/discount_security.xml",
        "security/ir.model.access.csv",
        # datas
        "data/mail_template.xml",
        # templates
        "templates/portal.xml",
        "templates/portal_discount.xml",
        "templates/portal_discount_edit.xml",
        "templates/portal_invoices.xml",
        "templates/webclient.xml",
        # views
        "views/hall.xml",
        # views menu
        # wizard
    ],
    "assets": {
        "web._assets_primary_variables": [],
        "web._assets_frontend_helpers": [],
        "web.assets_frontend": [
            "festa_portal/static/src/scss/portal.scss",
        ],
        "web.assets_tests": [],
        "web.assets_qweb": [],
    },
    "installable": True,
    "auto_install": False,
}
